Package uk.ac.starlink.topcat.plot2

# Class AreaCoordPanel

java.lang.Object
uk.ac.starlink.topcat.plot2.BasicCoordPanel
uk.ac.starlink.topcat.plot2.AreaCoordPanel

All Implemented Interfaces:
  `CoordPanel`, `PositionCoordPanel`

public abstract class AreaCoordPanel extends BasicCoordPanel implements PositionCoordPanel
PositionCoordPanel for entering positional Area values. This implementation class mostly handles autopopulation (default values).

Since:
  27 Mar 2020
Author:
  Mark Taylor

## Nested Class Summary

## Nested classes/interfaces inherited from class uk.ac.starlink.topcat.plot2.BasicCoordPanel

`BasicCoordPanel.CoordStack`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AreaCoordPanel(uk.ac.starlink.ttools.plot2.data.AreaCoord<?> coord, uk.ac.starlink.ttools.plot2.data.Coord[] otherCoords, uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] configKeys)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`autoPopulate()`
Makes some attempt to fill in the fields with non-blank values.

### Methods inherited from class uk.ac.starlink.topcat.plot2.BasicCoordPanel

`addActionListener, addButtons, createDefaultStack, getActionForwarder, getAdditionalManagedCoords, getColumnSelector, getComponent, getConfig, getConfigSpecifier, getContents, getCoords, getInfos, getStack, getTable, isPreferredCoord, multiplyCoords, populate, removeActionListener, setColumnSelector, setTable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.topcat.plot2.CoordPanel

`addActionListener, getAdditionalManagedCoords, getColumnSelector, getComponent, getConfig, getConfigSpecifier, getContents, getCoords, removeActionListener, setTable`

### Methods inherited from interface uk.ac.starlink.topcat.plot2.PositionCoordPanel

`getDataGeom, getExtraTabs`

## Constructor Details

### AreaCoordPanel

protected AreaCoordPanel(uk.ac.starlink.ttools.plot2.data.AreaCoord<?> coord, uk.ac.starlink.ttools.plot2.data.Coord[] otherCoords, uk.ac.starlink.ttools.plot2.config.ConfigKey<?>[] configKeys)
Constructor.

Parameters:
  `coord` - coordinate for Area objects
  `otherCoords` - additional coordinates required by panel
  `configKeys` - config value keys (often empty)

## Method Details

### autoPopulate

public void autoPopulate()
Description copied from class: `BasicCoordPanel`
Makes some attempt to fill in the fields with non-blank values. The default implementation fills in the first few suitable columns, but subclasses are encouraged to override this behaviour if something smarter is possible.

Overrides:
  `autoPopulate` in class `BasicCoordPanel`